> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HCHttpCallResponseSetResponseBodyBytes

> HCHttpCallResponseSetResponseBodyBytes

Set the response body byte buffer of the HTTP call. If a custom write callback was previously set on this call handle using HCHttpCallResponseSetResponseBodyWriteFunction, this operation will fail as these are mutually exclusive.

## Syntax

```cpp theme={null}
HRESULT HCHttpCallResponseSetResponseBodyBytes(  
         HCCallHandle call,  
         const uint8_t* bodyBytes,  
         size_t bodySize  
)  
```

### Parameters

*call*   \_In\_\
Type: HCCallHandle

The handle of the HTTP call.

*bodyBytes*   \_In\_reads\_bytes\_(bodySize)\
Type: uint8\_t\*

The response body bytes of the HTTP call.

*bodySize*   \_In\_\
Type: size\_t

The length in bytes of the body being set.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, E\_OUTOFMEMORY, or E\_FAIL.

## Requirements

**Header:** httpProvider.h

**Library:** libHttpClient.lib

**Supported platforms:** Windows, XBOX One family consoles and XBOX Series consoles

## See also

[httpProvider](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)


## Related topics

- [httpProvider (contents)](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)
- [HCMockResponseSetResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/mock/functions/hcmockresponsesetresponsebodybytes.md)
- [HCHttpCallResponseAppendResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpprovider/functions/hchttpcallresponseappendresponsebodybytes.md)
- [HCHttpCallResponseGetResponseBodyBytes](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsegetresponsebodybytes.md)
- [HCHttpCallResponseSetResponseBodyWriteFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallresponsesetresponsebodywritefunction.md)
